<?php
/**
 * 
 */

/**
 * Auto-loading Glade window
 */
class Glade_Window
  {
  /**
   * The top widget. It does not have to be
   * a top-level object if this is loaded
   * within another UI
   *
   * @var unknown_type
   */
  public $top; 
  
  /**
   * Load the fixed structure for the actual class invoking the constructor
   * 
   * @param void
   * @return void
   */
  public function __construct($topName = 'top')
    {
    $uiDescriptionFileName = get_class($this) . '.glade';
    try
      {
      $glade = new GladeXML($uiDescriptionFileName);
      $glade->signal_autoconnect_instance($this);
      $this->win = $glade->get_widget('winPgma');
      }
    catch (Exception $e)
      {
      echo "Glade_Windows/__construct(): " . $e->getMessage();
      die();
      }
    }
    
  /**
   * callback wrapper around Gtk::main_quit() for Glade
   */
  public function quit()
    {
    Gtk::main_quit();
    }

  }